=== modified file 'debian/changelog'
--- debian/changelog	2008-07-30 07:39:46 +0000
+++ debian/changelog	2008-07-30 08:31:16 +0000
@@ -2,7 +2,14 @@
 
   * debian/copyright: Fix copyright statement
   * debian/control: Set required minimum version of libdbus-glib-1-dev to 0.76
-  * debian/packagekit.post(inst|rm): reload dbus configuration
+  * debian/packagekit.post(inst|rm): 
+     - reload dbus configuration 
+     - add/remove the packagkitd system user
+  * debian/patches/00_allow_root_own_dbus.patch:
+     - allow the root user to own org.freedesktop.PackageKit
+  * debian/rules: only run the apt backend as root and use the packagekitd
+                  user for the packagekit daemon
+    
  -- Sebastian Heinlein <glatzor@ubuntu.com>  Wed, 16 Jul 2008 15:02:55 +0200
 
 packagekit (0.2.3-0ubuntu1) intrepid; urgency=low

=== modified file 'debian/packagekit.postinst'
--- debian/packagekit.postinst	2008-07-16 13:03:31 +0000
+++ debian/packagekit.postinst	2008-07-30 08:31:16 +0000
@@ -5,6 +5,18 @@
 
 if [ "$1" = "configure" ]; then
 
+	if ! getent passwd packagekit >/dev/null; then
+		adduser --system \
+			--quiet  \
+			--disabled-password \
+			--no-create-home \
+			--home "/var/lib/PackageKit" \
+			--gecos "PackageKit daemon" \
+			--group packagekit
+	fi
+
+	chown packagekit:packagekit /var/lib/PackageKit
+
 	if [ -x /etc/init.d/dbus ]; then
 		invoke-rc.d dbus force-reload || true
         fi

=== modified file 'debian/packagekit.postrm'
--- debian/packagekit.postrm	2008-07-16 13:03:31 +0000
+++ debian/packagekit.postrm	2008-07-30 08:31:16 +0000
@@ -6,6 +6,11 @@
 #DEBHELPER#
 
 if [ "$1" = "purge" ]; then
+	if getent user packagekit >/dev/null; then
+		if [ -x /usr/sbin/deluser ]; then
+			deluser --quiet --system packagekit
+		fi
+	fi
 
         if [ -x /etc/init.d/dbus ]; then
                 invoke-rc.d dbus force-reload || true

=== added file 'debian/patches/00_allow_root_own_dbus.patch'
--- debian/patches/00_allow_root_own_dbus.patch	1970-01-01 00:00:00 +0000
+++ debian/patches/00_allow_root_own_dbus.patch	2008-07-30 08:31:16 +0000
@@ -0,0 +1,14 @@
+diff --git a/data/org.freedesktop.PackageKit.conf.in b/data/org.freedesktop.PackageKit.conf.in
+index 8d93fcb..289b261 100644
+--- a/data/org.freedesktop.PackageKit.conf.in
++++ b/data/org.freedesktop.PackageKit.conf.in
+@@ -10,6 +10,9 @@
+   <policy user="@PACKAGEKIT_USER@">
+     <allow own="org.freedesktop.PackageKit"/>
+   </policy>
++  <policy user="root">
++    <allow own="org.freedesktop.PackageKit"/>
++  </policy>
+ 
+  <!-- Allow anyone to call into the service - we'll reject callers using PolicyKit -->
+   <policy context="default">

=== modified file 'debian/rules'
--- debian/rules	2008-07-16 12:52:29 +0000
+++ debian/rules	2008-07-30 08:31:16 +0000
@@ -7,7 +7,7 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/makefile.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --enable-docbook-docs --enable-apt --with-default-backend=apt
+DEB_CONFIGURE_EXTRA_FLAGS := --enable-docbook-docs --enable-apt --with-default-backend=apt --with-packagekit-user=packagekit --with-backend-user=root
 
 $(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
 	dh_pycentral -p$(cdbs_curpkg)

